<?php

 /*************************************************************************
 ***  Systm pro TME - TMEP                                             ***
 ***  (c) Michal evk 2007-2011 - multi@tricker.cz                    ***
 *************************************************************************/

 //////////////////////////////////////////////////////////////////////////
 //// GRAF - teploty za poslednich 14 dni FLASH
 //// GRAPH - temperatures for latest 14 days FLASH
 //////////////////////////////////////////////////////////////////////////

 // nacteme soubor s nastavenim
 require_once "../nastaveni.php";

  // nastaveni skrze stranku...
  if(isset($_GET['n'])) { $n = explode("--", $_GET['n'], 2); $l = $n[1]; $u = $n[0]; }

  // musime vygenerovat graf
  // skript s jazykovou mutaci
  if($l == "cz"){ require_once "../lang/cz-utf8.php"; }
  else{ require_once "../lang/".$l.".php"; }
  // nacteme soubor s databazi
  require_once "db.php";
  // nacteme tech par funkci
  require_once "fce.php";

  // zjistime jednotku teploty (prasarnicka)
  $jednotkap = explode(" ", jednotkaTeploty(1, $u, 1));
  $jednotka = str_replace("&deg;", "", $jednotkap[1]);

  // maximalni teplota dany den
  $qj = MySQL_query("SELECT den, nejvyssi FROM tme_denni ORDER BY den DESC LIMIT 0, 21");
  while($hod = MySQL_fetch_assoc($qj))
  {
    // popisek
    $labels[] = formatDnu($hod['den']);
    // sup do pole
    if(round($hod['nejvyssi'], 2) == 0){ $datay1[] = "0"; }
    else
    {
     $datay1[] = jednotkaTeploty(round($hod['nejvyssi'],2), $u, 0);
    }
  }

  // minimalni teplota dany den
  $qj = MySQL_query("SELECT nejnizsi FROM tme_denni ORDER BY den DESC LIMIT 0, 21");
  while($hod = MySQL_fetch_assoc($qj))
  {
    if(round($hod['nejnizsi'], 2) == 0){ $datay2[] = "0"; }
    else
    {
     $datay2[] = jednotkaTeploty(round($hod['nejnizsi'],2), $u, 0);
    }
  }

  // prumerna teplota dany den
  $qj = MySQL_query("SELECT prumer FROM tme_denni ORDER BY den DESC LIMIT 0, 21");
  while($hod = MySQL_fetch_assoc($qj))
  {
    if(round($hod['prumer'], 2) == 0){ $datay3[] = "0"; }
    else
    {
     $datay3[] = jednotkaTeploty(round($hod['prumer'],2), $u, 0);
    }
  }

  // obratime pole
  $datay1 = array_reverse($datay1);
  $datay2 = array_reverse($datay2);
  $datay3 = array_reverse($datay3);
  $labels = array_reverse($labels);

  // inkludujeme potrebne a zapocneme s tridou grafu
  include_once('./ofch/open-flash-chart.php');
  $g = new graph();

  // otitulkujeme, barva pozadi, data pro osu Y
  $g->title($lang['teploty14dni'], '{font-size: 16px; color: #4e240f;}');
  $g->bg_colour = '#e1e0b9';
  $g->set_inner_background( '#f1f1e3', '#fdfcde', 90 );
  $g->set_data($datay1);
  $g->set_data($datay3);
  $g->set_data($datay2);

  // Osa X
  $g->set_x_tick_size(5);
  $g->set_x_labels($labels);
  $g->set_x_axis_steps(1);
  $g->set_x_label_style( 10, '#3A3913', 2, 1);
  $g->x_axis_colour('#603722', '#e8e7cc');

  // Osa Y
  $g->y_axis_colour('#603722', '#e8e7cc');
  $g->set_y_min(round(min($datay2)-1));
  $g->set_y_max(round(max($datay1)+1));
  $g->y_label_steps(6);

  // Ostylujeme caru
  $g->line_dot(2, '5', '#c01212', $lang['max'], 11);
  $g->line_dot(2, '5', '#ebb91f', $lang['avg'], 11);
  $g->line_dot(2, '5', '#1260c0', $lang['min'], 11);

  // Upravime tooltip
  $g->set_tool_tip($lang['den'].": #x_label#<br>".$lang['teplota'].": #val# ".$jednotka);

  // A jedem
  echo $g->render();
?>
